#!/bin/sh
#
#  If called with -u, updates the travel file;
#  if called with -x, keeps old entries around (otherwise it will delete
#  them with every connectivity problem).
#
#  Normal usage is: world.sh -u -x
#
PATH=/usr/local/bin:/bin:/usr/bin:/usr/ucb:/usr/new/mh:/usr/spool/archive/bin
export PATH

for i in $*; do
  if [ "$i" = -u ]
     then OPT_u=-u;
     else if [ "$i" = -x ]
             then OPT_x=-x;
             else echo $0 '[-u] [-x]'; exit 1;
          fi
  fi
done

cd /usr/spool/gopher/travel
if [ "$OPT_u" = -u ]; then
  rm world.travel.gz
  gtravel -k world.kill  -p "1/Other Gopher and Information Servers/all" \
          -d 1  gopher.micro.umn.edu 70 \
      | gzip > world.travel.gz
fi
(cat world.gtimes; zcat world.travel.gz ) | gtimes $OPT_x > world.new && \
  (mv world.gtimes world.bak; mv world.new world.gtimes; \
   rm world.bak.gz; gzip world.bak)

# Remember to create an empty world.gtimes file for the first run
